# DataExchange
TKSTEP209
StepFEA

# StepFEA_Array1OfCurveElementEndOffset Class Reference

`#include <StepFEA_Array1OfCurveElementEndOffset.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepFEA_Array1OfCurveElementEndOffset (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepFEA_Array1OfCurveElementEndOffset (const Handle(StepFEA_CurveElementEndOffset)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepFEA_CurveElementEndOffset)&V)
Standard_EXPORT void | Destroy ()
| ~StepFEA_Array1OfCurveElementEndOffset ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepFEA_Array1OfCurveElementEndOffset & | Assign (const StepFEA_Array1OfCurveElementEndOffset &Other)
const StepFEA_Array1OfCurveElementEndOffset & | operator= (const StepFEA_Array1OfCurveElementEndOffset &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepFEA_CurveElementEndOffset)&Value)
const Handle_StepFEA_CurveElementEndOffset & | Value (const Standard_Integer Index) const
const Handle_StepFEA_CurveElementEndOffset & | operator() (const Standard_Integer Index) const
Handle_StepFEA_CurveElementEndOffset & | ChangeValue (const Standard_Integer Index)
Handle_StepFEA_CurveElementEndOffset & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepFEA_Array1OfCurveElementEndOffset (const StepFEA_Array1OfCurveElementEndOffset &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_Array1OfCurveElementEndOffset::StepFEA_Array1OfCurveElementEndOffset | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepFEA_Array1OfCurveElementEndOffset::StepFEA_Array1OfCurveElementEndOffset | ( | const Handle(StepFEA_CurveElementEndOffset)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepFEA_Array1OfCurveElementEndOffset::~StepFEA_Array1OfCurveElementEndOffset | ( |  | ) | `[inline]`

Standard_EXPORT StepFEA_Array1OfCurveElementEndOffset::StepFEA_Array1OfCurveElementEndOffset | ( | const StepFEA_Array1OfCurveElementEndOffset & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepFEA_Array1OfCurveElementEndOffset& StepFEA_Array1OfCurveElementEndOffset::Assign | ( | const StepFEA_Array1OfCurveElementEndOffset & | Other | ) |

Handle_StepFEA_CurveElementEndOffset& StepFEA_Array1OfCurveElementEndOffset::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepFEA_Array1OfCurveElementEndOffset::Destroy | ( |  | ) |

Standard_EXPORT void StepFEA_Array1OfCurveElementEndOffset::Init | ( | const Handle(StepFEA_CurveElementEndOffset)& | V | ) |

Standard_Boolean StepFEA_Array1OfCurveElementEndOffset::IsAllocated | ( |  | ) | const

Standard_Integer StepFEA_Array1OfCurveElementEndOffset::Length | ( |  | ) | const

Standard_Integer StepFEA_Array1OfCurveElementEndOffset::Lower | ( |  | ) | const

void StepFEA_Array1OfCurveElementEndOffset::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepFEA_Array1OfCurveElementEndOffset::operator new | ( | size_t | size | ) | `[inline]`

void* StepFEA_Array1OfCurveElementEndOffset::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepFEA_CurveElementEndOffset& StepFEA_Array1OfCurveElementEndOffset::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepFEA_CurveElementEndOffset& StepFEA_Array1OfCurveElementEndOffset::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepFEA_Array1OfCurveElementEndOffset& StepFEA_Array1OfCurveElementEndOffset::operator= | ( | const StepFEA_Array1OfCurveElementEndOffset & | Other | ) | `[inline]`

void StepFEA_Array1OfCurveElementEndOffset::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepFEA_CurveElementEndOffset)& | Value
| ) |

Standard_Integer StepFEA_Array1OfCurveElementEndOffset::Upper | ( |  | ) | const

const Handle_StepFEA_CurveElementEndOffset& StepFEA_Array1OfCurveElementEndOffset::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepFEA_Array1OfCurveElementEndOffset::isAllocated `[private]`

Standard_Integer StepFEA_Array1OfCurveElementEndOffset::myLowerBound `[private]`

Standard_Address StepFEA_Array1OfCurveElementEndOffset::myStart `[private]`

Standard_Integer StepFEA_Array1OfCurveElementEndOffset::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepFEA_Array1OfCurveElementEndOffset.hxx